javax.lang.model.type

## Interface PrimitiveType

All Superinterfaces:
  TypeMirror

    public interface PrimitiveType
    extends TypeMirror

Represents a primitive type. These include `boolean`, `byte`, `short`, `int`, `long`, `char`, `float`, and `double`.

Since:
  1.6

### Method Summary

### Methods inherited from interface javax.lang.model.type.TypeMirror

`accept, equals, getKind, hashCode, toString`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.